KNIFE-CONFIGURE(1)

NAME
knife-configure - The man page for the knife configure subcommand.

The knife configure subcommand is used to create the knife.rb and client.rb files so that they can be distributed to workstations and nodes.

Syntax

This subcommand has the following syntax when creating a knife.rb file:

$ knife configure (options)

and the following syntax when creating a client.rb file:

$ knife configure client DIRECTORY

Options

This subcommand has the following options:

--admin-client-key PATH
    The path to the private key used by the client, typically a file named admin.pem.

--admin-client-name NAME
    The name of the client, typically the name of the admin client.

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Use to view colored output.

-d, --disable-editing
    Use to prevent the $EDITOR from being opened and to accept data as-is.

--defaults
    Use to have knife use the default value instead of asking a user to provide one.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-i, --initial
    Use to create a API client, typically an administrator client on a freshly-installed Chef server.

-k KEY, --key KEY
    The private key that knife will use to sign requests made by the API client to the Chef server.

--print-after
    Use to show data after a destructive operation.

-r REPO, --repository REPO
    The path to the chef-repo.

-s URL, --server-url URL
    The URL for the Chef server.

-u USER, --user USER
    The user name used by knife to sign requests made by the API client to the Chef server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

--validation-client-name NAME
    The name of the validation client.

--validation-key PATH
    The path to the validation key used by the client, typically a file named validation.pem.

-y, --yes
    Use to respond to all confirmation prompts with "Yes". knife will not ask for confirmation.

-z, --local-mode
    Use to run the chef-client in local mode. This allows all commands that work against the Chef server to also work against the local chef-repo.

    Examples

    $ knife configure

    $ knife configure client '/directory'

AUTHOR
Chef